The Dom\Attr class

- « Dom\AdjacentPosition

- Dom\Attr::isId »

- PHP Manual
- DOM
- The Dom\Attr class

# The Dom\Attr class

(PHP 8 >= 8.4.0)

## Introduction

Dom\Attr represents an attribute in the Dom\Element object.

This is the modern, spec-compliant equivalent of DOMAttr.

## Class synopsis

class Dom\Attr extends Dom\Node {
/* Inherited constants */
public const int Dom\Node::DOCUMENT_POSITION_DISCONNECTED = 0x1;
public const int Dom\Node::DOCUMENT_POSITION_PRECEDING = 0x2;
public const int Dom\Node::DOCUMENT_POSITION_FOLLOWING = 0x4;
public const int Dom\Node::DOCUMENT_POSITION_CONTAINS = 0x8;
public const int Dom\Node::DOCUMENT_POSITION_CONTAINED_BY = 0x10;
public const int Dom\Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 0x20;
/* Properties */
public readonly ?string $namespaceURI;
public readonly ?string $prefix;
public readonly string $localName;
public readonly string $name;
public string $value;
public readonly ?Dom\Element $ownerElement;
public readonly bool $specified;
/* Inherited properties */
public readonly int $nodeType;
public readonly string $nodeName;
public readonly string $baseURI;
public readonly bool $isConnected;
public readonly ?Dom\Document $ownerDocument;
public readonly ?Dom\Node $parentNode;
public readonly ?Dom\Element $parentElement;
public readonly Dom\NodeList $childNodes;
public readonly ?Dom\Node $firstChild;
public readonly ?Dom\Node $lastChild;
public readonly ?Dom\Node $previousSibling;
public readonly ?Dom\Node $nextSibling;
public ?string $nodeValue;
public ?string $textContent;
/* Methods */
public isId(): bool
public rename(?string `$namespaceURI`, string `$qualifiedName`): void
/* Inherited methods */
/* Not documented yet */
}

## Properties

namespaceURI
  The namespace URI of the attribute.
prefix
  The namespace prefix of the attribute.
localName
  The local name of the attribute.
name
  The qualified name of the attribute.
value
  The value of the attribute.

  > Note: Unlike the equivalent property in DOMAttr, this does not substitute entities.

ownerElement
  The element that contains the attribute or `null`.
specified
  Legacy option, always is `true`.

## See Also

- » WHATWG specification of Attr

## Table of Contents

- Dom\Attr::isId — Checks if attribute is a defined ID
- Dom\Attr::rename — Changes the qualified name or namespace of an attribute